Moonborn — API · orgs
Fetch org detail
GET/v1/orgs/{id}scope · Bearer (API key or session JWT)
Path parameters
| Field | Type | Description |
|---|---|---|
| idreq | string | Organization id (cuid). |
Responses
200OK
Body
| Field | Type | Description |
|---|---|---|
| idreq | string | |
| slugreq | string | |
| namereq | string | |
| regionreq | string · "us" | "eu" | |
| dataResidencyLockedreq | boolean | |
| createdAtreq | string | |
| ownerUserIdreq | string | |
| workspacesCountreq | number |
404Org not found
Body
| Field | Type | Description |
|---|---|---|
| errorreq | object | |
| error.codereq | string | |
| error.messagereq | string |
Examples
cURL
curl -X GET https://api.moonborn.co/v1/orgs/<id> \ -H "Authorization: Bearer $MOONBORN_API_KEY"
TypeScript
import Moonborn from '@moonborn/sdk';
const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });
const result = await client.orgs.getOrg({
id: '<id>',
});Python
import os
from moonborn import Moonborn
client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"])
result = client.orgs.get_org(
id="<id>",
)